Subject: Re: bug#14797: 24.3.50; new, undocumented menu structure using VECTORS?

From: Stefan Monnier <[email-masked]>
Date: Fri, 05 Jul 2013 06:42:04 -0400

> I don't see anything in the manual that mentions that a menu can take
> this form.  Dunno whether I am not reading it well enough or the doc is
> incomplete.

Indeed, vectors are an old format that is deprecated but
still supported.  They are similar to char-tables (which are supported,
on the other hand).

> (I do not understand how someone can make such a fundamental change and
> not mention it in NEWS.  New menu structures are not something that
> Emacs adds everyday.)

That's because it's a new menu structure, on the contrary.

> 2. Beyond that, using vectors here is a PITA for Lisp code.  It makes
> code that traverses such code difficult, if not impossible.  Without
> this change to vectors, a simple recursion on a list cdr is all that is
> needed.

You should probably use `map-keymap' instead.

        Stefan